mobilebackup_client_free
mobilebackup_client_new
mobilebackup_client_start_service
mobilebackup_client_t
mobilebackup_error_t
mobilebackup_flags_t
mobilebackup_receive
mobilebackup_receive_restore_application_received
mobilebackup_receive_restore_file_received
mobilebackup_request_backup
mobilebackup_request_restore
mobilebackup_send
mobilebackup_send_backup_file_received
mobilebackup_send_error
mobilebackup_send_restore_complete
MOBILEBACKUP_SERVICE_NAME

## mobilebackup_receive_restore_application_received()

LIBIMOBILEDEVICE_API mobilebackup_error_t mobilebackup_receive_restore_application_received | ( | mobilebackup_client_t | client,
|  | plist_t * | result )

Receive a confirmation from the device that it successfully received application data file.

Parameters

  client | The connected MobileBackup client to use.
  result | Pointer to a plist_t that will be set to the received plist for further processing. The caller has to free it using plist_free(). Note that it will be set to NULL if the operation itself fails due to a communication or plist error. If this parameter is NULL, it will be ignored.

Returns
  MOBILEBACKUP_E_SUCCESS on success, MOBILEBACKUP_E_INVALID_ARG if client is invalid, MOBILEBACKUP_E_REPLY_NOT_OK if the expected 'BackupMessageRestoreApplicationReceived' message could not be received, MOBILEBACKUP_E_PLIST_ERROR if the received message is not a valid backup message plist, or MOBILEBACKUP_E_MUX_ERROR if a communication error occurs.